function getColumns() {
  let columns = [
    {
      title: `N°`,
      data: `id`,
      className: 'text-center'
    },
    {
      title: "FECHA",
      data: "fecha_asistencia",
      className: "text-center"
    },
    {
      title: `HORA`,
      data: `marcacion_entrada`,
      className: 'text-center'
    },
    {
      title: `DESCUENTO<br>(S/.)`,
      data: `descuento`,
      className: 'text-center',
      render: (data) => {
        return `<span class="text-danger">${data}.00</span>`;
      }
    },
    {
      title: `DESCRIPICON`,
      data: `descripcion`,
      className: 'text-center'
    },
    {
      title: `SEDE<br>MARCACIÓN`,
      data: `sede_marcacion`,
      className: 'text-center'
    },
    {
      title: `TIPO REGISTRO`,
      data: `tipo_registro`,
      className: 'text-center',
      render: (data) => {
        let label = "";
        let contenido = "";
        if (data == 1) {
          label = "label label-info"
          contenido = "HUELLA"
        } else {
          label = "label label-warning"
          contenido = "MANUAL"
        }
        return  `<span class="${label}">${contenido}</span>`
      }
    },
    {
      title: `ACCIONES`,
      data: null,
      className: 'text-center',
      render: (data) => {
        let acciones = "";
        let registrar = "";
        let verdetalle = "";
        verdetalle = `<span data-toggle="tooltip" data-placement="left" title="Ver detalle" style="cursor: pointer"> <i class='verdetalle icon-list text-primary-700'></i>&nbsp;&nbsp; </span>`;
        acciones = verdetalle;
        return acciones;
      }
    }
  ];

  return columns;
}

const listarAsistenciaMensual = (objParams = {}) => {
  ajaxWebService.get(URI_ADMINISTRATIVOS_DESCUENTO_MENSUAL_DETALLADO, objParams).then((response) => {
    let columns = getColumns();

    let wrapsNameDatatable = `divDatatable`;
    let classNameForDatatable = `display table table-bordered`;

    makeDatatable(
            wrapsNameDatatable,
            {
              data: response.data,
              columns,
            },
            classNameForDatatable,
            ).then((nodes) => {
      $(".chkFirma, #chkFirmaTodo").uniform();
      nodes.container
              .off()
//              .on("click", ".verdetalle", function () {
//                let data = nodes.datatable.DataTable().row($(this).parents("tr")).data();
//                mostrarModalVerDetalleDescuentoAsistencia(data);
//              })

    });
  });
};


$(document).ready(function () {
  listarAsistenciaMensual()
})